# $Id: kdocwriter.spec,v 1.9 2003/07/11 19:33:10 rexdieter Exp $

Name:	 kdocwriter
Summary: KDocWriter is a .docbook documentation tool
Epoch:	 0
Version: 0.2
Release: 0.fdr.1%{?dist_tag}
License: GPL
Group: 	 Applications/Editors
Source:	 http://dl.sourceforge.net/kmp3indexer/kdocwriter-0.2.tar.bz2
URL:	 http://prdownloads.sourceforge.net/kmp3indexer/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libtool
BuildRequires: kdebase-devel >= 6:3.2

Requires: kdebase >= 6:3.2 


%description
KDocWriter is a .docbook documentation tool designed for use with
Kate. It provides XML syntax highlighting to display or edit a chapter
or section and a tree showing the document structure.


%prep
%setup -q 

# to avoid a needless autoconf run.
touch ./config.h.in


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%if "%{?desktop_file}" != "0"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --delete-original --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "KDE" \
  --add-category "Application" \
  --add-category "Utility" \
  --add-category "X-Fedora" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop
%endif

%find_lang %{name}



%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%if "%{?desktop_file}" != "0"
%{_datadir}/applications/*.desktop
%else
%{_datadir}/applnk/*/*.desktop
%endif
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/apps/%{name}
%lang(en) %doc %{_docdir}/HTML/en/*


%changelog
* Wed May 26 2004 Rex Dieter <rexdieter at sf.net> - 0:0.2-0.fdr.1
- cleanup

* Wed Jul  9 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.2-0.fdr.0
- Update to 0.2.
- Fix build requirements.

* Sat Jun 14 2003 Bob Tanner <tanner@real-time.com>
+ kdocwriter-0.1-0.fdr.0
- initial .spec
